%define _oldname gnome2-games
%define ver_major 2.32
%define extradata_ver_major 2.30
%define extradata_ver %extradata_ver_major.0
%def_enable clutter
# enable sound using libcanberra
%def_enable sound
%def_enable introspection
%def_disable static

Name: gnome-games
Version: %ver_major.1
Release: alt4

Summary: GNOME games
License: %gpl2plus
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/

Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: ftp://ftp.gnome.org/pub/gnome/sources/%name-extra-data/%extradata_ver_major/%name-extra-data-%extradata_ver.tar.bz2
# from upstream
Patch: gnome-games-2.91.5-ld_library_path.patch
# lightsoff, swell-foop: Fix segfault in gtkclutter init
Patch1: gnome-games-2.91.3-gtkclutter_init.patch
Patch2: gnome-games-2.91.3-glib.patch

Obsoletes: %_oldname < 2.14
Provides: %_oldname = %version-%release

%define scrollkeeper_ver 0.3.8
%define gtk_ver 2.14.0
%define gnome_common_ver 2.16.0

PreReq: GConf scrollkeeper >= %scrollkeeper_ver

Requires: %name-glines = %version-%release
Requires: %name-gnect = %version-%release
Requires: %name-gnibbles = %version-%release
Requires: %name-gnobots = %version-%release
Requires: %name-quadrapassel = %version-%release
Requires: %name-gnomine = %version-%release
Requires: %name-gnotravex = %version-%release
Requires: %name-gnotski = %version-%release
Requires: %name-gtali = %version-%release
Requires: %name-iagno = %version-%release
Requires: %name-mahjongg = %version-%release
Requires: %name-swell-foop = %version-%release
Requires: %name-sol = %version-%release
Requires: %name-sudoku = %version-%release
Requires: %name-glchess = %version-%release
Requires: %name-lightsoff = %version-%release

BuildPreReq: rpm-build-licenses

# From configure.in
BuildPreReq: intltool >= 0.35.0
BuildPreReq: libstdc++-devel gcc-c++ guile18-devel gob2
BuildPreReq: scrollkeeper >= %scrollkeeper_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libGConf-devel >= 2.0
BuildPreReq: librsvg-devel >= 2.14.0
BuildPreReq: libcairo-gobject-devel >= 1.0
BuildPreReq: gstreamer-devel  libdbus-glib-devel
%{?_enable_sound:BuildRequires: libcanberra-gtk2-devel}
BuildPreReq: libclutter-devel >= 1.0 libclutter-gtk-devel >= 0.10

BuildRequires: gnome-common >= %gnome_common_ver
BuildRequires: perl-XML-Parser
BuildRequires: gnome-doc-utils python-module-pygtk-devel python-module-pygnome-desktop-devel
BuildRequires: python-module-pygnome-desktop >= 2.17.3
BuildRequires: libggz-devel ggz-client-libs-devel libcheck-devel zlib-devel
BuildRequires: gcc-c++ gnome-doc-utils guile18-devel libSM-devel libgcrypt-devel python-devel python-modules-compiler
# GObject introspection support
%{?_enable_introspection:BuildPreReq: gobject-introspection-devel >= 0.9.5 libgtk+2-gir-devel libclutter-gir-devel libjson-glib-gir-devel}

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.
The gnome-games package containes a collection of simple games for your
amusement.

AisleRiot: 	also known as Solitaire or sol is a collection of card
		games which are easy to play with the aid of a mouse.
Glines:         color lines game, aka fiveormore
Gnect:          four in a row game
Gnibbles:       snake game up to four players
Gnobots:        old bsd robots game improved
GNOME Klotski:  game based on the not so popular Klotski
GNOME Mine:     popular logic puzzle minesweeper
GNOME Tali:     sort of poker with dice and less money
Quadrapassel:   GNOME version of the popular russian game Tetris, in past quadrapassel
Iagno:          GNOME version of the popular Othello
Mahjongg:       GNOME version of the classic Eastern tile game, Mahjongg
swell-foop:     in past Same GNOME, game which goal is to remove as many balls in as few moves as,
		possible
GNOME Sudoku:   a logic game with a Japanese name
GlChess:	a chess game which supports several chess engines.

%package common
Summary: Common files for GNOME games
Group: Graphical desktop/GNOME
BuildArch: noarch
Obsoletes: %_oldname-common < 2.14
Provides: %_oldname-common = %version-%release
Obsoletes: %name-xbill
Obsoletes: %name-freecell
Obsoletes: %name-gataxx
Obsoletes: %name-blackjack
Obsoletes: libgdkcardimage
PreReq: GConf
PreReq: scrollkeeper >= %scrollkeeper_ver

%description common
This package contains common files needed to run GNOME games.

%package glines
Summary: A version of the color lines program
Group: Games/Boards
Obsoletes: %_oldname-glines < 2.14
PreReq: %name-common = %version-%release

%description glines
Glines, is the Gnome port of the once popular Windows game called Color
Lines. The game's objective is to align as often as possible five balls
or more of the same color causing them to disappear, play as long as
possible, and be #1 in the High Scores.

%package gnect
Summary: Four in a row game
Group: Games/Boards
Obsoletes: %_oldname-gnect < 2.14
PreReq: %name-common = %version-%release

%description gnect
Gnect is a four-in-a-row game for the GNOME Project. The object of the
game is to build a line of four of your marbles while trying to stop
your opponent (human or computer) building a line of his or her own. A
line can be horizontal, vertical or diagonal.

%package gnibbles
Summary: A cute little game that has no description
Group: Games/Boards
Obsoletes: %_oldname-gnibbles < 2.14
PreReq: %name-common = %version-%release

%description  gnibbles
Gnibbles is a game where the user controls a snake. The snake moves
around the board, eating diamonds while avoiding the walls placed around
it.

%package gnobots
Summary: Second Gnome version of robots game for BSD games collection
Group: Games/Boards
Obsoletes: %_oldname-gnobots < 2.14
Obsoletes: %name-gnobots2 < 2.15
Provides: %name-gnobots2 = %version-%release
PreReq: %name-common = %version-%release

%description gnobots
GNOME Robots II is a development of the original Gnome Robots game which
was itself based on the text based robots game which can be found on a
number of UNIX systems, and comes with the BSD games package on Linux
systems.

%package quadrapassel
Summary: A tetris clone.
Group: Games/Boards
Obsoletes: %_oldname-gnometris < 2.14
Obsoletes: %name-gnometris
PreReq: %name-common = %version-%release

%description quadrapassel
GNOME version of the popular russian game Tetris.

%package gnomine
Summary: Classic find the mines in the minefield game
Group: Games/Boards
Obsoletes: %_oldname-gnomine < 2.14
PreReq: %name-common = %version-%release

%description gnomine
GNOME Mines is a variation of the popular logic puzzle minesweeper.

%package gnotravex
Summary: A game based on Tetravex.
Group: Games/Boards
Obsoletes: %_oldname-gnotravex < 2.14
PreReq: %name-common = %version-%release

%description gnotravex
GNOME Tetravex is a simple puzzle where pieces must be positioned so
that the same numbers are touching each other. Your game is timed, these
times are stored in a system-wide scoreboard.

%package gnotski
Summary: Derivative game from Klotski.
Group: Games/Boards
Obsoletes: %_oldname-gnotski < 2.14
PreReq: %name-common = %version-%release

%description gnotski
Gnome Klotski is a small game for GNOME. The idea is originally
from a game called "Klotski".

%package gtali
Summary: Gnome version of Yahtzee Dice Game
Group: Games/Boards
Obsoletes: %_oldname-gtali < 2.14
PreReq: %name-common = %version-%release

%description gtali
Gnome Tali is a sort of poker with dice and less money. You roll five
dice three times and try to create the best hand. Your two rerolls may
include any or all of your dice.

%package iagno
Summary: Gnome version of Othello (Reversi) board game
Group: Games/Boards
Obsoletes: %_oldname-iagno < 2.14
PreReq: %name-common = %version-%release

%description iagno
Iagno is a computer version of the game Reversi, more popularly called
Othello.

%package lightsoff
Summary: Lights Off is a puzzle game
Group: Games/Boards
BuildArch: noarch
PreReq: %name-common = %version-%release
Requires: seed
Requires: %name-gir = %version-%release

%description lightsoff
Lights Off is a puzzle game, where the objective is to turn off all of
the tiles on the board. Each click toggles the state of the clicked tile
and its non-diagonal neighbors

%package mahjongg
Summary: Classic Chinese Tile Game
Group: Games/Boards
Obsoletes: %_oldname-mahjongg < 2.14
PreReq: %name-common = %version-%release

%description mahjongg
Gnome Mahjongg, or Mahjongg for short, is a solitaire (one player)
version of the classic Eastern tile game, Mahjongg.

%package swell-foop
Summary: The "Same Game" puzzle
Group: Games/Boards
BuildArch: noarch
Obsoletes: %_oldname-same < 2.14
Obsoletes: %name-same
PreReq: %name-common = %version-%release
Requires: seed
Requires: %name-gir = %version-%release

%description swell-foop
The objective of same-gnome is to remove as many balls from the playing
area in as few moves as possible.

%package sol
Summary: Collection of card games
Group: Games/Boards
Obsoletes: %_oldname-sol < 2.14
PreReq: %name-common = %version-%release
Requires: %name-gir = %version-%release

%description sol
AisleRiot also known as Solitaire or sol is a collection of card games
which are easy to play with the aid of a mouse.

%package sudoku
Summary: GNOME Sudoku game
Group: Games/Boards
BuildArch: noarch
PreReq: %name-common = %version-%release

%description sudoku
Sudoku is a logic game with a Japanese name that has recently exploded
in popularity.

%package glchess
Summary: A chess game for GNOME
Group: Games/Boards
BuildArch: noarch
PreReq: %name-common = %version-%release
# Add chess to requirements to be sure it is possible to play with computer
Requires: chess

%description glchess
A chess game which supports several chess engines, with 2D and optionally
3D support if OpenGL is present.

%package gir
Summary: GObject introspection support for the GNOME games
Group: System/Libraries
Requires: %name-common = %version-%release

%description gir
GObject introspection data for the GNOME games

%package gir-devel
Summary: GObject introspection devel data for the GNOME games
Group: System/Libraries
Requires: %name-gir = %version-%release

%description gir-devel
GObject introspection devel data for the GNOME games

%define _sklocalstatedir %_localstatedir/scrollkeeper

%prep
%setup -q -a1
%patch -p1 -b .ld_library_path
%patch1 -p1
%patch2 -p1

%build
%autoreconf
%configure \
    --disable-gnuchess \
    --disable-scrollkeeper \
    --disable-schemas-install \
    %{subst_enable sound} \
    --enable-setgid \
    --with-scores-group=games \
    --with-scores-user=games \
    %{subst_enable static} \
    %{subst_enable introspection}

%make_build

# build gnome-games-extra-data
pushd %name-extra-data-%extradata_ver
%configure
%make_build
popd

%install
%make_install DESTDIR=%buildroot install

# install gnome-games-extra-data
pushd %name-extra-data-%extradata_ver
%makeinstall _sklocalstatedir=%buildroot%_sklocalstatedir
popd

%define games aisleriot quadrapassel lightsoff gnect gnomine swell-foop mahjongg gtali gnotravex gnotski glines iagno gnobots2 gnibbles gnome-sudoku glchess

%find_lang --with-gnome %name %games

for omf in %games; do
    grep "$omf" %name.lang >> $omf.lang || :
done

grep -v '\.omf' %name.lang > _%name.lang

%preun glines
if [ $1 = 0 ]; then
%gconf2_uninstall glines
fi

%post gnect
%gconf2_install gnect

%preun gnect
if [ $1 = 0 ]; then
%gconf2_uninstall gnect
fi

%post gnibbles
%gconf2_install gnibbles

%preun gnibbles
if [ $1 = 0 ]; then
%gconf2_uninstall gnibbles
fi

%post gnobots
%gconf2_install gnobots2

%preun gnobots
if [ $1 = 0 ]; then
%gconf2_uninstall gnobots2
fi

%post quadrapassel
%gconf2_install quadrapassel

%preun quadrapassel
if [ $1 = 0 ]; then
%gconf2_uninstall quadrapassel
fi

%post gnomine
%gconf2_install gnomine

%preun gnomine
if [ $1 = 0 ]; then
%gconf2_uninstall gnomine
fi

%post gnotravex
%gconf2_install gnotravex

%preun gnotravex
if [ $1 = 0 ]; then
%gconf2_uninstall gnotravex
fi

%post gnotski
%gconf2_install gnotski

%preun gnotski
if [ $1 = 0 ]; then
%gconf2_uninstall gnotski
fi

%post gtali
%gconf2_install gtali


%preun gtali
if [ $1 = 0 ]; then
%gconf2_uninstall gtali
fi

%post iagno
%gconf2_install iagno

%preun iagno
if [ $1 = 0 ]; then
%gconf2_uninstall iagno
fi

%post lightsoff
%gconf2_install lightsoff

%preun lightsoff
if [ $1 = 0 ]; then
%gconf2_uninstall lightsoff
fi

%post mahjongg
%gconf2_install mahjongg

%preun mahjongg
if [ $1 = 0 ]; then
%gconf2_uninstall mahjongg
fi

%post swell-foop
%gconf2_install swell-foop

%preun swell-foop
if [ $1 = 0 ]; then
%gconf2_uninstall swell-foop
fi

%post sol
%gconf2_install aisleriot

%preun sol
if [ $1 = 0 ]; then
%gconf2_uninstall aisleriot
fi

%post sudoku
%gconf2_install gnome-sudoku

%preun sudoku
if [ $1 = 0 ]; then
%gconf2_uninstall gnome-sudoku
fi

%post glchess
%gconf2_install glchess

%preun glchess
if [ $1 = 0 ]; then
%gconf2_uninstall glchess
fi

%files

%files common -f _%name.lang
%dir %_datadir/%name
%_datadir/%name/icons
%_datadir/%name/pixmaps
%_datadir/%name/sounds
%_datadir/%name-common
%doc AUTHORS ChangeLog TODO

%files glines -f glines.lang
%attr(2711,root,games) %_bindir/glines
%_datadir/%name/glines
%_desktopdir/glines.desktop
%_iconsdir/hicolor/*x*/apps/gnome-glines.png
%_iconsdir/hicolor/scalable/apps/gnome-glines.svg
%_man6dir/glines*
%config %_sysconfdir/gconf/schemas/glines*
%config(noreplace) %attr(0664,games,games) %_localstatedir/games/glines*

%files gnect -f gnect.lang
%attr(-,root,games) %_bindir/gnect
%_desktopdir/gnect.desktop
%_datadir/%name/gnect
%_iconsdir/hicolor/*x*/apps/gnome-gnect.png
%_iconsdir/hicolor/scalable/apps/gnome-gnect.svg
%_man6dir/gnect*
%config %_sysconfdir/gconf/schemas/gnect*

%files gnibbles -f gnibbles.lang
%attr(2711,root,games) %_bindir/gnibbles
%_desktopdir/gnibbles.desktop
%_datadir/%name/gnibbles
%_iconsdir/hicolor/*x*/apps/gnome-gnibbles.png
%_iconsdir/hicolor/scalable/apps/gnome-gnibbles.svg
%_man6dir/gnibbles*
%config %_sysconfdir/gconf/schemas/gnibbles*
%config(noreplace) %attr(0664,games,games) %_localstatedir/games/gnibbles*

%files gnobots -f gnobots2.lang
%attr(2711,root,games) %_bindir/gnobots2
%_desktopdir/gnobots2.desktop
%_datadir/%name/gnobots2
%_iconsdir/hicolor/*x*/apps/gnome-robots.png
%_iconsdir/hicolor/scalable/apps/gnome-robots.*
%_man6dir/gnobots2*
%config %_sysconfdir/gconf/schemas/gnobots2.schemas
%config(noreplace) %attr(0664,games,games) %_localstatedir/games/gnobots2*

%files quadrapassel -f quadrapassel.lang
%attr(2711,root,games) %_bindir/quadrapassel
%_datadir/%name/quadrapassel/
#%_datadir/%name/gnometris/
%_desktopdir/quadrapassel.desktop
%_iconsdir/hicolor/*x*/apps/gnome-quadrapassel.png
%_iconsdir/hicolor/scalable/apps/gnome-quadrapassel.svg
%_man6dir/quadrapassel*
%config %_sysconfdir/gconf/schemas/quadrapassel*
%config(noreplace) %attr(0664,root,games) %_localstatedir/games/quadrapassel*

%files gnomine -f gnomine.lang
%attr(2711,root,games) %_bindir/gnomine
%_datadir/%name/gnomine/
%_desktopdir/gnomine.desktop
%_iconsdir/hicolor/*x*/apps/gnome-mines.png
%_iconsdir/hicolor/scalable/apps/gnome-mines.svg
%_man6dir/gnomine*
%config %_sysconfdir/gconf/schemas/gnomine*
%config(noreplace) %attr(0664,games,games) %_localstatedir/games/gnomine*

%files gnotravex -f gnotravex.lang
%attr(2711,root,games) %_bindir/gnotravex
%_desktopdir/gnotravex.desktop
%_iconsdir/hicolor/*x*/apps/gnome-tetravex.png
%_iconsdir/hicolor/scalable/apps/gnome-tetravex.svg
%_man6dir/gnotravex*
%config %_sysconfdir/gconf/schemas/gnotravex*
%config(noreplace) %attr(0664,games,games) %_localstatedir/games/gnotravex*

%files gnotski -f gnotski.lang
%attr(2711,root,games) %_bindir/gnotski
%_desktopdir/gnotski.desktop
%_datadir/%name/gnotski
%_iconsdir/hicolor/*x*/apps/gnome-klotski.png
%_iconsdir/hicolor/scalable/apps/gnome-klotski.svg
%_man6dir/gnotski*
%config %_sysconfdir/gconf/schemas/gnotski.schemas
%config(noreplace) %attr(0664,games,games) %_localstatedir/games/gnotski*

%files gtali -f gtali.lang
%attr(2711,root,games) %_bindir/gtali
%_datadir/%name/gtali/
%_desktopdir/gtali.desktop
%_iconsdir/hicolor/*x*/apps/gnome-tali.png
%_iconsdir/hicolor/scalable/apps/gnome-tali.svg
%_man6dir/gtali*
%config %_sysconfdir/gconf/schemas/gtali*
%config(noreplace) %attr(0664,games,games) %_localstatedir/games/gtali*

%files iagno -f iagno.lang
%attr(-,root,games) %_bindir/iagno
%_desktopdir/iagno.desktop
%_iconsdir/hicolor/*x*/apps/gnome-iagno.png
%_iconsdir/hicolor/scalable/apps/gnome-iagno.svg
%_datadir/%name/iagno
%_man6dir/iagno*
%config %_sysconfdir/gconf/schemas/iagno*

%files lightsoff -f lightsoff.lang
%attr(-,root,games) %_bindir/lightsoff
%_desktopdir/lightsoff.desktop
%_iconsdir/hicolor/scalable/apps/gnome-lightsoff.svg
%_datadir/%name/lightsoff
%config %_sysconfdir/gconf/schemas/lightsoff*

%files mahjongg -f mahjongg.lang
%attr(2711,root,games) %_bindir/mahjongg
%_desktopdir/mahjongg.desktop
%_iconsdir/hicolor/*x*/apps/gnome-mahjongg.png
%_datadir/%name/mahjongg
%_iconsdir/hicolor/scalable/apps/gnome-mahjongg.svg
%_man6dir/mahjongg*
%config %_sysconfdir/gconf/schemas/mahjongg*
%config(noreplace) %attr(0664,games,games) %_localstatedir/games/mahjongg*

%files swell-foop -f swell-foop.lang
%attr(-,root,games) %_bindir/swell-foop
%_desktopdir/swell-foop*
%_datadir/%name/swell-foop/
%_iconsdir/hicolor/*x*/apps/gnome-swell-foop.png
%_iconsdir/hicolor/scalable/apps/gnome-swell-foop.svg
%config %_sysconfdir/gconf/schemas/swell-foop*

%files sol -f aisleriot.lang
%attr(-,root,games) %_bindir/sol
%_libdir/%name/ar-cards-renderer
%_desktopdir/sol.desktop
%_desktopdir/freecell.desktop
%_datadir/%name/aisleriot/games
%_iconsdir/hicolor/*x*/apps/gnome-aisleriot.png
%_iconsdir/hicolor/*x*/apps/gnome-freecell.png
%_iconsdir/hicolor/scalable/apps/gnome-aisleriot.svg
%_iconsdir/hicolor/scalable/apps/gnome-freecell.svg
%_man6dir/sol*
%config %_sysconfdir/gconf/schemas/aisleriot*

%files sudoku -f gnome-sudoku.lang
%attr(-,root,games) %_bindir/gnome-sudoku
%_desktopdir/gnome-sudoku.desktop
%_datadir/gnome-sudoku
%python_sitelibdir_noarch/gnome_sudoku
%_iconsdir/hicolor/*x*/apps/gnome-sudoku.png
%_iconsdir/hicolor/scalable/apps/gnome-sudoku.svg
%_man6dir/gnome-sudoku*
%config %_sysconfdir/gconf/schemas/gnome-sudoku*

%files glchess -f glchess.lang
%attr(-,root,games) %_bindir/glchess
%_desktopdir/glchess.desktop
%_datadir/glchess
%python_sitelibdir_noarch/glchess
%_iconsdir/hicolor/*x*/apps/gnome-glchess.png
%_iconsdir/hicolor/scalable/apps/gnome-glchess.svg
%_man6dir/glchess*
%config %_sysconfdir/gconf/schemas/glchess*

%if_enabled introspection
%files gir
%_libdir/%name/*.so.*
%_libdir/girepository-1.0/*

%files gir-devel
%_libdir/%name/*.so
%_datadir/gir-1.0/*

%exclude %_libdir/%name/*.la
%endif

%changelog
* Tue Apr 19 2011 Yuri N. Sedunov <aris@altlinux.org> 2.32.1-alt4
- updated buildreqs

* Thu Mar 03 2011 Alexey Shabalin <shaba@altlinux.ru> 2.32.1-alt3
- updated buildreqs
- used new rpm-build-gir to find dependencies in *.js files

* Mon Jan 17 2011 Yuri N. Sedunov <aris@altlinux.org> 2.32.1-alt2
- backported some patches from 2.91.x (in particulary fixed lightsoff,
  swell-foop crash)

* Tue Nov 16 2010 Yuri N. Sedunov <aris@altlinux.org> 2.32.1-alt1
- 2.32.1

* Mon Oct 04 2010 Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt1
- 2.32.0

* Tue Jun 22 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.2-alt1
- 2.30.2

* Tue May 04 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt1
- 2.30.1

* Wed Mar 31 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt2
- rebuild with new gnome-games-extradata

* Mon Mar 29 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0

* Tue Mar 09 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.92-alt1
- 2.29.92

* Sat Mar 06 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.91-alt2
- fixed permissions for %_bindir/swell-foop
- added lightsoff into gnome-games virtual package
- rebuild using rpm-build-gir

* Fri Feb 26 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.91-alt1
- 2.29.91
- removed obsolete blackjack
- gnometris ranamed to quadrapassel and same-gnome to swell-foop
- new game -- lightsoff
- new gnome-games-gir{,-devel} subpackages

* Tue Feb 16 2010 Yuri N. Sedunov <aris@altlinux.org> 2.28.2-alt2
- build sudoku and glchess as noarch

* Thu Dec 17 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.2-alt1
- 2.28.2

* Tue Oct 20 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt1
- 2.28.1

* Mon Sep 21 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0

* Mon Aug 17 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.90-alt1
- 2.27.90

* Tue Jun 30 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.3-alt1
- 2.26.3

* Tue May 19 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt1
- 2.26.2
- updated buildreqs

* Tue Apr 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Wed Mar 18 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0
- updated buildreqs
- prepared to buid clutter-based lightsoff game (requires libclutter >= 0.8.8)

* Tue Jan 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.24.3-alt1
- 2.24.3

* Tue Nov 25 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.2-alt1
- 2.24.2
- removed obsolete %%post* scripts

* Tue Nov 04 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1.1-alt1
- 2.24.1.1
- don't package useless %%_libdir/gnome-games/gnome-games-render-cards
- build gnome-games-common as noarch

* Tue Oct 21 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1

* Tue Sep 30 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0

* Mon Jun 30 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.3-alt1
- 2.22.3

* Wed Apr 16 2008 Egor Vyscrebentsov <evyscr@altlinux.ru> 2.22.1.1-alt1
- new version: 2.22.1.1

* Tue Mar 18 2008 Egor Vyscrebentsov <evyscr@altlinux.ru> 2.22.0-alt1
- new version: 2.22.0

* Tue Dec 18 2007 Egor Vyscrebentsov <evyscr@altlinux.ru> 2.20.2-alt1
- new version: 2.20.2
- fixed a bug with gnome-games-common preun scriptlet

* Mon Nov 26 2007 Egor Vyscrebentsov <evyscr@altlinux.ru> 2.20.1-alt1
- new version: 2.20.1
- GlChess now requires python-module-pygtkglext (fixed #12872)
- do not skip usage of python req/prov autofind for sudoku subpackage

* Thu Sep 20 2007 Egor Vyscrebentsov <evyscr@altlinux.ru> 2.20.0.1-alt1
- new version: 2.20.0.1

* Tue Sep 18 2007 Egor Vyscrebentsov <evyscr@altlinux.ru> 2.18.2.1-alt1
- new version: 2.18.2.1
  + added GlChess
  + added Sudoku
  + removed Gataxx
- removed old patches
- prevented score files to be replaced while upgrading the package
- cleared sgid attribute on blackjack (fixed #12793)
- corrected .desktop categories for GTali and Iagno (fixed #12824)

* Thu Jul 05 2007 Igor Zubkov <icesik@altlinux.org> 2.16.3-alt2
- add Packager tag
- fix rebuild

* Fri Feb 02 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.3-alt1
- new version 2.16.3 (with rpmrb script)

* Sun Jan 21 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.2-alt1
- new version 2.16.2 (with rpmrb script)

* Sun Oct 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.1-alt2
- fixed a bug in gnome-games-gnobots install scripts

* Sat Oct 07 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.1-alt1
- new version (2.16.1)
- updated dependencies

* Thu Jul 27 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.5-alt1
- new version 2.15.5.
- updated filelists
- renamed gnome-games-gnobots2 into gnome-games-gnobots

* Sun Jul 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2.1-alt1
- new version 2.14.2.1 (with rpmrb script)

* Thu Jun 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version 2.14.2 (with rpmrb script)

* Sun Apr 16 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version (2.14.1)
- the package has been renamed from gnome2-games to gnome-games
- spec cleanup (bless --disable-schemas-install)
- added --disable-scrollkeeper to configure call, though it seems unfunctional yet.

* Sat Mar 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.8-alt2
- removed dangling Requires: gnome2-games-stones.

* Mon Feb 27 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.8-alt1
- new version (2.13.8)
- buildreqs revised, spec cleanup
- removed Debian menu stuff
- no more GNOME Stones.

* Thu Nov 03 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt2
- Gnobots menu item has been moved from Arcade to Boards.

* Tue Oct 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version

* Fri Sep 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Fri Mar 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1.1
- rebuild against new python (2.4)

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Wed Mar 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.7-alt1
- 2.9.7

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0
- obsoletes libgdkcardimage.

* Thu Jun 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2
- move BlackJack to Amusement/Cards in menu.

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1.1
- move gtali to Games/Boards (close #4351).
- fix sol (close #4370).
- fixed gnotravex menu.

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0.1-alt1
- 2.6.0.1

* Mon Feb 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.7-alt1
- 2.5.7

* Mon Feb 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.6-alt1
- 2.5.6

* Wed Jan 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt1
- 2.4.2
- do not package .la files.
- do not build libgdkcardimage-devel-static by default.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Sat Sep 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.7-alt1
- 2.3.7

* Fri Jul 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Wed Jul 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Wed Jun 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3
- new blackjack game.

* Mon May 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2
- Obsoletes: xbill, freecell

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt3
- gnect schemas fixed. (#2152).

* Thu Jan 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt2
- fixed menus.
- libgdkcardimage requires newest libgnomeui.

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0
- remove conflict gnome-xbill with original xBill game.

* Sat Jan 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Fri Dec 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Tue Nov 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Sat Nov 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Wed Oct 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Sat Oct 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.4-alt1.2
- gnome2-games-mahjongg-2.0.4-alt1.1.i586.rpm: bad permisions in suid/sgid files

* Sun Sep 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.4-alt1.1
- gnome2-games virtual package installs all games.
- gconf2_install macro used for schemas installation.
- scrollkeeper >= 0.3.11 added to requires list.

* Thu Sep 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.4-alt1
- 2.0.4
- each game splitted in separate package.

* Sun Jul 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- First build games for for GNOME2.
